// --------------------------------------------------------
// Copyright (c)
//
// contributions by author
//                  author@somewhere.net
// maintained by    maintainer
//                  maintainer@somewhere.net

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DUMMY_LASERCOMPDEF_DUMMY_LASER_IMPL_H
#define DUMMY_LASERCOMPDEF_DUMMY_LASER_IMPL_H

/************************************************************
 Dummy_laser_impl class header
 ************************************************************/

#include "dummy_laserCompdef/Pkg_dummy_laserCompdef.h"

#include "dummy_laserCompdef/Dummy_laser.h"

namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}

namespace dummy_laserCompdef {

/************************************************************/
/**
 * This is a skeleton class generated for component Dummy_laser
 * Copy it into the source folder as an initial base (or copy parts
 * of it whenever you add modify the component).
 * 
 */
class Dummy_laser_impl: public Dummy_laser {
public:

  /**
   * 
   * @param options 
   */
  Dummy_laser_impl(rclcpp::NodeOptions /*in*/options);

  /**
   * 
   */
  void activateFct();

  /**
   * 
   */
  void periodicFct();

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace dummy_laserCompdef

/************************************************************
 End of Dummy_laser_impl class header
 ************************************************************/

#endif
